using UnityEditor;

namespace XGame.Editor.Build
{
    internal static class BuildTargetExt
    {
        public static BuildTargetGroup ToTargetGroup(this BuildTarget target)
        {
            BuildTargetGroup targetGroup;
            switch (target)
            {
                case BuildTarget.Android:
                    targetGroup = BuildTargetGroup.Android;
                    break;
                case BuildTarget.iOS:
                    targetGroup = BuildTargetGroup.iOS;
                    break;
                default:
                    targetGroup = BuildTargetGroup.Standalone;
                    break;
            }
            return targetGroup;
        }
    }
}
